summaryrefslogtreecommitdiffstats
path: root/jjb/csit
diff options
context:
space:
mode:
authorTibor Frank <tifrank@cisco.com>2018-03-26 11:09:37 +0200
committerTibor Frank <tifrank@cisco.com>2018-03-26 11:09:37 +0200
commit68703e6059d1bbbc38a2e26acbd24468fa22e412 (patch)
tree49175f70a46ae056aef7ee29f0b8d45b90b0bb34 /jjb/csit
parent6a038e6c4b3451f1727b5b9491ac647378953955 (diff)
CSIT-919: PAL-cpta
- The job fails if the evaluation of results fails. Change-Id: I8e601b2e2720f9545aa59063d1cc72df6910065a Signed-off-by: Tibor Frank <tifrank@cisco.com>
Diffstat (limited to 'jjb/csit')
-rw-r--r--jjb/csit/include-raw-csit-cpta.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/jjb/csit/include-raw-csit-cpta.sh b/jjb/csit/include-raw-csit-cpta.sh
index db37feb78..7775857b1 100644
--- a/jjb/csit/include-raw-csit-cpta.sh
+++ b/jjb/csit/include-raw-csit-cpta.sh
@@ -12,8 +12,7 @@ set -xe -o pipefail
cd ${DOC_DIR}
chmod +x ./run_cpta.sh
-./run_cpta.sh
-retval=$?
+STATUS=$(./run_cpta.sh | tail -1)
cd ${WORKSPACE}
@@ -53,8 +52,8 @@ ${MVN} site:site site:deploy -gs "${GLOBAL_SETTINGS_FILE}" -s "${SETTINGS_FILE}"
cd -
-
-if [ ${retval} -ne "0" ]; then
- echo "FAIL"
+if [ ${STATUS} == "PASS" ]; then
+ exit 0
+else
+ exit 1
fi
-exit ${retval} \ No newline at end of file